package me.arimelody.aridroid;

public class MusicCreditModel {
    private final ArtistModel artist;
    private final String role;
    private final boolean primary;

    public MusicCreditModel(ArtistModel artist, String role, boolean primary) {
        this.artist = artist;
        this.role = role;
        this.primary = primary;
    }

    public ArtistModel getArtist() {
        return artist;
    }

    public String getRole() {
        return role;
    }

    public boolean isPrimary() {
        return primary;
    }
}
